<div class="modal-header">
    <h3>{{'rejectModal.reject' | translate}}</h3>
</div>
<div class="modal-body row">
    <form novalidate name="modalForm" class="row form-horizontal">
        <div class="col-md-6">
            <label class="legendLabel col-xs-12">
                <span class="label label-danger">{{'Mandatory' | translate}}</span> {{'rejectModal.public_annotation' | translate}}
                <hr>
                <textarea class="form-control annotation" ng-model="action.annotPub" required></textarea>
                <i class="fa fa-3x fa-globe textarea-icon"></i>
            </label>
            <label class="legendLabel col-xs-12">
                {{'rejectModal.private_annotation' | translate}}
                <hr>
                <textarea class="form-control annotationprivee" ng-model="action.annotPriv"></textarea>
                <i class="fa fa-3x fa-user-secret textarea-icon"></i>
            </label>

            <label class="legendLabel col-xs-12" ng-if="metaToDefine.length > 0">
                Métadonnée(s) obligatoire sur l'étape
                <hr>
            </label>
            <div ng-if="metaToDefine.length > 0" class="col-md-9 col-md-offset-1">
                <div ng-switch on="metaInfo.type" class="control-group"
                     ng-repeat="(metaName, metaInfo) in metaInfos">
                    <div class="form-group mandatory-group"
                         ng-switch-when="DATE" ng-hide="metaInfo.values">
                        <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                        <span class="fa fa-warning label label-danger"> {{'Mandatory' | translate}}</span>

                        <div class="input-group">
                            <input id="{{'date' + $index}}" name="{{'date' + $index}}" ng-change="metaChanged()" ng-cloak="" ip-id="'date' + $index"
                                   return-format="timestamp" readonly="true" ip-datepicker type="text"
                                   ng-model="metaValues[metaInfo.id]" class="form-control"
                                   required="">
                            <span ng-if="!!metaValues[metaInfo.id]" ng-click="metaValues[metaInfo.id] = ''"
                                  class="pointer input-group-addon">
                                    <i class="fa fa-times"></i>
                                </span>
                            <label for="{{'date' + $index}}" ng-if="!metaValues[metaInfo.id]" class="pointer input-group-addon">
                                <i class="fa fa-calendar"></i>
                            </label>
                        </div>
                    </div>
                    <div class="form-group mandatory-group"
                         ng-switch-when="STRING" ng-hide="metaInfo.values">
                        <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                        <span class="fa fa-warning label label-danger"> {{'Mandatory' | translate}}</span>
                        <input ng-cloak type="text" ng-change="metaChanged()" id="{{metaInfo.id}}"
                               ng-model="metaValues[metaInfo.id]"
                               class="form-control"
                               required="">
                    </div>
                    <div class="form-group mandatory-group"
                         ng-switch-when="URL" ng-hide="metaInfo.values">
                        <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                        <span class="fa fa-warning label label-danger"> {{'Mandatory' | translate}}</span>
                        <input ng-cloak type="text" ng-change="metaChanged()" id="{{metaInfo.id}}"
                               ng-model="metaValues[metaInfo.id]"
                               class="form-control"
                               required="">
                    </div>
                    <div class="form-group mandatory-group"
                         ng-switch-when="INTEGER" ng-hide="metaInfo.values">
                        <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                        <span class="fa fa-warning label label-danger"> {{'Mandatory' | translate}}</span>
                        <span class="label label-info">
                                                                <i class="fa-info-circle fa"></i>
                                                                {{'Admin.Typologie.Ty_Sub_Meta_Int'
                                                                | translate}}
                                                            </span>
                        <input type="text" integer ng-change="metaChanged()" id="{{metaInfo.id}}"
                               ng-model="metaValues[metaInfo.id]"
                               class="form-control"
                               required="">
                    </div>
                    <div class="form-group mandatory-group"
                         ng-switch-when="DOUBLE" ng-hide="metaInfo.values">
                        <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                        <span class="fa fa-warning label label-danger"> {{'Mandatory' | translate}}</span>
                        <span class="label label-info">
                                                                <i class="fa-info-circle fa"></i>
                                                                {{'Admin.Typologie.Ty_Sub_Meta_Double'
                                                                | translate}}
                                                            </span>
                        <input type="text" decimal ng-change="metaChanged()" id="{{metaInfo.id}}"
                               ng-model="metaValues[metaInfo.id]"
                               class="form-control"
                               required="">
                    </div>
                    <div class="form-group mandatory-group"
                         ng-switch-when="BOOLEAN">
                        <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                        <span class="fa fa-warning label label-danger"> {{'Mandatory' | translate}}</span>
                        <select id="{{metaInfo.id}}" ng-change="metaChanged()"
                                ng-model="metaValues[metaInfo.id]"
                                class="form-control" required="">
                            <option value="true">Oui</option>
                            <option value="false">Non</option>
                        </select>
                    </div>
                    <div class="form-group" ng-show="metaInfo.values">
                        <label class="control-label" for="{{metaInfo.id}}">{{metaInfo.name}}</label>
                        <span class="fa fa-warning label label-danger float-right"> {{'Mandatory' | translate}}</span>
                        <select id="{{metaInfo.id}}" ng-change="metaChanged()"
                                ng-options="value.value as value.value for value in metaInfo.values"
                                ng-change="valuesMetaUndefined(metaInfo.id)"
                                ng-model="metaValues[metaInfo.id]"
                                class="form-control"
                                required="">
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="col-xs-12">
                <span class="legend">{{'rejectModal.folder_list' | translate}}<hr></span>
                <ul class="listeDossiers">
                    <li ng-repeat="dossier in dossiers" class="btn btn-default col-md-12 force-display"><span class="label label-info">{{dossier.actionDemandee}}</span>{{dossier.title}}</li>
                </ul>
            </div>
        </div>
    </form>
</div>

<div class="modal-footer">
    <progressbar class="progress-striped active progress-modal" value="progress" max="max" type="info">
        <span style="color:black; white-space:nowrap;">{{'rejectModal.handled_folders' | translate}} : {{progress}} / {{max}}</span>
    </progressbar>
    <button class="btn btn-warning" ng-click="cancel()">
        <i class="fa fa-times-circle-o"></i>
        {{'Back' | translate}}
    </button>
    <button ng-disabled="!modalForm.$valid" class="btn btn-primary" ng-click="ok()">
        <i class="fa fa-times"></i>
        {{'rejectModal.reject' | translate}}
    </button>
</div>
